package biligo

const (
	BiliApiURL      = "https://api.bilibili.com/"
	BiliMainURL     = "https://www.bilibili.com/"
	BiliPassportURL = "https://passport.bilibili.com/"
	BiliElecURL     = "https://elec.bilibili.com/"
	BiliLiveURL     = "https://api.live.bilibili.com/"
	BiliVcURL       = "https://api.vc.bilibili.com/"
)

var userAgent = []string{
	"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36",
	"Mozilla/5.0 (Windows NT 6.2; WOW64) AppleWebKit/537.36 (KHTML like Gecko) Chrome/44.0.2403.155 Safari/537.36",
	"Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2228.0 Safari/537.36",
	"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2227.1 Safari/537.36",
	"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2227.0 Safari/537.36",
	"Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.20) Gecko/20110804 Red Hat/3.6-2.el5 Firefox/3.6.20",
}

var videoZones = map[int]VideoZone{
	1:   {Name: "动画", Code: "douga", Desc: ""},
	24:  {Name: "MAD·AMV", Code: "mad", Desc: "具有一定制作程度的动画或静画的二次创作视频"},
	25:  {Name: "MMD·3D", Code: "mmd", Desc: "使用MMD(MikuMikuDance)和其他3D建模类软件制作的视频"},
	47:  {Name: "短片·手书·配音", Code: "voice", Desc: "追求创新并具有强烈特色的短片、手书(绘)及ACG相关配音"},
	210: {Name: "手办·模玩", Code: "garage_kit", Desc: "手办模玩的测评、改造或其他衍生内容"},
	86:  {Name: "特摄", Code: "tokusatsu", Desc: "特摄相关衍生视频"},
	27:  {Name: "综合", Code: "other", Desc: "以动画及动画相关内容为素材，包括但不仅限于音频替换、杂谈、排行榜等内容"},
	13:  {Name: "番剧", Code: "anime", Desc: ""},
	33:  {Name: "连载动画", Code: "serial", Desc: "当季连载的动画番剧"},
	32:  {Name: "完结动画", Code: "finish", Desc: "已完结的动画番剧合集"},
	51:  {Name: "资讯", Code: "information", Desc: "动画番剧相关资讯视频"},
	152: {Name: "官方延伸", Code: "offical", Desc: "动画番剧为主题的宣传节目、采访视频，及声优相关视频"},
	167: {Name: "国创", Code: "guochuang", Desc: ""},
	153: {Name: "国产动画", Code: "chinese", Desc: "我国出品的PGC动画"},
	168: {Name: "国产原创相关", Code: "original", Desc: ""},
	169: {Name: "布袋戏", Code: "puppetry", Desc: ""},
	195: {Name: "动态漫·广播剧", Code: "motioncomic", Desc: ""},
	170: {Name: "资讯", Code: "information", Desc: ""},
	3:   {Name: "音乐", Code: "music", Desc: ""},
	28:  {Name: "原创音乐", Code: "original", Desc: "个人或团队制作以音乐为主要原创因素的歌曲或纯音乐"},
	31:  {Name: "翻唱", Code: "cover", Desc: "一切非官方的人声再演绎歌曲作品"},
	30:  {Name: "VOCALOID·UTAU", Code: "vocaloid", Desc: "以雅马哈Vocaloid和UTAU引擎为基础，包含其他调教引擎，运用各类音源进行的歌曲创作内容"},
	194: {Name: "电音", Code: "electronic", Desc: "以电子合成器、音乐软体等产生的电子声响制作的音乐"},
	59:  {Name: "演奏", Code: "perform", Desc: "传统或非传统乐器及器材的演奏作品"},
	193: {Name: "MV", Code: "mv", Desc: "音乐录影带，为搭配音乐而拍摄的短片"},
	29:  {Name: "音乐现场", Code: "live", Desc: "音乐实况表演视频"},
	130: {Name: "音乐综合", Code: "other", Desc: "收录无法定义到其他音乐子分区的音乐视频"},
	129: {Name: "舞蹈", Code: "dance", Desc: ""},
	20:  {Name: "宅舞", Code: "otaku", Desc: "与ACG相关的翻跳、原创舞蹈"},
	198: {Name: "街舞", Code: "hiphop", Desc: "收录街舞相关内容，包括赛事现场、舞室作品、个人翻跳、FREESTYLE等"},
	199: {Name: "明星舞蹈", Code: "star", Desc: "国内外明星发布的官方舞蹈及其翻跳内容"},
	200: {Name: "中国舞", Code: "china", Desc: "传承中国艺术文化的舞蹈内容，包括古典舞、民族民间舞、汉唐舞、古风舞等"},
	154: {Name: "舞蹈综合", Code: "three_d", Desc: "收录无法定义到其他舞蹈子分区的舞蹈视频"},
	156: {Name: "舞蹈教程", Code: "demo", Desc: "镜面慢速，动作分解，基础教程等具有教学意义的舞蹈视频"},
	4:   {Name: "游戏", Code: "game", Desc: ""},
	17:  {Name: "单机游戏", Code: "stand_alone", Desc: "以所有平台(PC、主机、移动端)的单机或联机游戏为主的视频内容，包括游戏预告、CG、实况解说及相关的评测、杂谈与视频剪辑等"},
	171: {Name: "电子竞技", Code: "esports", Desc: "具有高对抗性的电子竞技游戏项目，其相关的赛事、实况、攻略、解说、短剧等视频"},
	172: {Name: "手机游戏", Code: "mobile", Desc: "以手机及平板设备为主要平台的游戏，其相关的实况、攻略、解说、短剧、演示等视频"},
	65:  {Name: "网络游戏", Code: "online", Desc: "由网络运营商运营的多人在线游戏，以及电子竞技的相关游戏内容。包括赛事、攻略、实况、解说等相关视频"},
	173: {Name: "桌游棋牌", Code: "board", Desc: "桌游、棋牌、卡牌对战等及其相关电子版游戏的实况、攻略、解说、演示等视频"},
	121: {Name: "GMV", Code: "gmv", Desc: "由游戏素材制作的MV视频。以游戏内容或CG为主制作的，具有一定创作程度的MV类型的视频"},
	136: {Name: "音游", Code: "music", Desc: "各个平台上，通过配合音乐与节奏而进行的音乐类游戏视频"},
	19:  {Name: "Mugen", Code: "mugen", Desc: "以Mugen引擎为平台制作、或与Mugen相关的游戏视频"},
	36:  {Name: "知识", Code: "knowledge", Desc: ""},
	201: {Name: "科学科普", Code: "science", Desc: "回答你的十万个为什么"},
	124: {Name: "社科·法律·心理", Code: "social_science", Desc: "基于社会科学、法学、心理学展开或个人观点输出的知识视频"},
	228: {Name: "人文历史", Code: "humanity_history", Desc: "看看古今人物，聊聊历史过往，品品文学典籍"},
	207: {Name: "财经商业", Code: "business", Desc: "说金融市场，谈宏观经济，一起畅聊商业故事"},
	208: {Name: "校园学习", Code: "campus", Desc: "老师很有趣，同学多人才，我们都爱搞学习"},
	209: {Name: "职业职场", Code: "career", Desc: "职场加油站，成为最有料的职场人"},
	229: {Name: "设计·创意", Code: "design", Desc: "天马行空，创意设计，都在这里"},
	122: {Name: "野生技术协会", Code: "skill", Desc: "炫酷技能大集合，是时候展现真正的技术了"},
	188: {Name: "科技", Code: "tech", Desc: "科技"},
	95:  {Name: "数码", Code: "digital", Desc: "科技数码产品大全，一起来做发烧友"},
	230: {Name: "软件应用", Code: "application", Desc: "超全软件应用指南"},
	231: {Name: "计算机技术", Code: "computer_tech", Desc: "研究分析、教学演示、经验分享......有关计算机技术的都在这里"},
	232: {Name: "工业·工程·机械", Code: "industry", Desc: "前方高能，机甲重工即将出没"},
	233: {Name: "极客DIY", Code: "diy", Desc: "炫酷技能，极客文化，硬核技巧，准备好你的惊讶"},
	234: {Name: "运动", Code: "sports", Desc: ""},
	235: {Name: "篮球·足球", Code: "basketballfootball", Desc: "与篮球、足球相关的视频，包括但不限于篮足球赛事、教学、评述、剪辑、剧情等相关内容"},
	164: {Name: "健身", Code: "aerobics", Desc: "与健身相关的视频，包括但不限于瑜伽、CrossFit、健美、力量举、普拉提、街健等相关内容"},
	236: {Name: "竞技体育", Code: "athletic", Desc: "与竞技体育相关的视频，包括但不限于乒乓、羽毛球、排球、赛车等竞技项目的赛事、评述、剪辑、剧情等相关内容"},
	237: {Name: "运动文化", Code: "culture", Desc: "与运动文化相关的视频，包络但不限于球鞋、球衣、球星卡等运动衍生品的分享、解读，体育产业的分析、科普等相关内容"},
	238: {Name: "运动综合", Code: "comprehensive", Desc: "与运动综合相关的视频，包括但不限于钓鱼、骑行、滑板等日常运动分享、教学、Vlog等相关内容"},
	223: {Name: "汽车", Code: "car", Desc: ""},
	176: {Name: "汽车生活", Code: "life", Desc: "分享汽车及出行相关的生活体验类视频"},
	224: {Name: "汽车文化", Code: "culture", Desc: "车迷的精神圣地，包括汽车赛事、品牌历史、汽车改装、经典车型和汽车模型等"},
	225: {Name: "汽车极客", Code: "geek", Desc: "汽车硬核达人聚集地，包括DIY造车、专业评测和技术知识分享"},
	226: {Name: "智能出行", Code: "smart", Desc: "探索新能源汽车和未来智能出行的前沿阵地"},
	227: {Name: "购车攻略", Code: "strategy", Desc: "丰富详实的购车建议和新车体验"},
	160: {Name: "生活", Code: "life", Desc: ""},
	138: {Name: "搞笑", Code: "funny", Desc: "各种沙雕有趣的搞笑剪辑，挑战，表演，配音等视频"},
	239: {Name: "家居房产", Code: "home", Desc: "与买房、装修、居家生活相关的分享"},
	161: {Name: "手工", Code: "handmake", Desc: "手工制品的制作过程或成品展示、教程、测评类视频"},
	162: {Name: "绘画", Code: "painting", Desc: "绘画过程或绘画教程，以及绘画相关的所有视频"},
	21:  {Name: "日常", Code: "daily", Desc: "记录日常生活，分享生活故事"},
	211: {Name: "美食", Code: "food", Desc: ""},
	76:  {Name: "美食制作", Code: "make", Desc: "学做人间美味，展示精湛厨艺"},
	212: {Name: "美食侦探", Code: "detective", Desc: "寻找美味餐厅，发现街头美食"},
	213: {Name: "美食测评", Code: "measurement", Desc: "吃货世界，品尝世间美味"},
	214: {Name: "田园美食", Code: "rural", Desc: "品味乡野美食，寻找山与海的味道"},
	215: {Name: "美食记录", Code: "record", Desc: "记录一日三餐，给生活添一点幸福感"},
	217: {Name: "美食", Code: "food", Desc: ""},
	218: {Name: "喵星人", Code: "cat", Desc: "喵喵喵喵喵"},
	219: {Name: "汪星人", Code: "dog", Desc: "汪汪汪汪汪"},
	220: {Name: "大熊猫", Code: "panda", Desc: "芝麻汤圆营业中"},
	221: {Name: "野生动物", Code: "wild_animal", Desc: "内有“猛兽”出没"},
	222: {Name: "爬宠", Code: "reptiles", Desc: "鳞甲有灵"},
	75:  {Name: "动物综合", Code: "animal_composite", Desc: "收录除上述子分区外，其余动物相关视频以及非动物主体或多个动物主体的动物相关延伸内容"},
	119: {Name: "鬼畜", Code: "kichiku", Desc: ""},
	22:  {Name: "鬼畜调教", Code: "guide", Desc: "使用素材在音频、画面上做一定处理，达到与BGM一定的同步感"},
	26:  {Name: "音MAD", Code: "mad", Desc: "使用素材音频进行一定的二次创作来达到还原原曲的非商业性质稿件"},
	126: {Name: "人力VOCALOID", Code: "manual_vocaloid", Desc: "将人物或者角色的无伴奏素材进行人工调音，使其就像VOCALOID一样歌唱的技术"},
	216: {Name: "鬼畜剧场", Code: "theatre", Desc: "使用素材进行人工剪辑编排的有剧情的作品"},
	127: {Name: "教程演示", Code: "course", Desc: "鬼畜相关的教程演示"},
	155: {Name: "时尚", Code: "fashion", Desc: ""},
	157: {Name: "美妆", Code: "makeup", Desc: "涵盖妆容、发型、美甲等教程，彩妆、护肤相关产品测评、分享等"},
	158: {Name: "服饰", Code: "clothing", Desc: "服饰风格、搭配技巧相关的展示和教程视频"},
	159: {Name: "T台", Code: "catwalk", Desc: "发布会走秀现场及模特相关时尚片、采访、后台花絮"},
	192: {Name: "风尚标", Code: "trends", Desc: "时尚明星专访、街拍、时尚购物相关知识科普"},
	202: {Name: "资讯", Code: "information", Desc: ""},
	203: {Name: "热点", Code: "hotspot", Desc: "全民关注的时政热门资讯"},
	204: {Name: "环球", Code: "global", Desc: "全球范围内发生的具有重大影响力的事件动态"},
	205: {Name: "社会", Code: "social", Desc: "日常生活的社会事件、社会问题、社会风貌的报道"},
	206: {Name: "综合", Code: "multiple", Desc: "其它垂直领域的综合资讯"},
	5:   {Name: "娱乐", Code: "ent", Desc: ""},
	71:  {Name: "综艺", Code: "variety", Desc: "国内外有趣的综艺和综艺相关精彩剪辑"},
	137: {Name: "明星", Code: "star", Desc: "娱乐圈动态、明星资讯相关"},
	181: {Name: "影视", Code: "cinephile", Desc: ""},
	182: {Name: "影视杂谈", Code: "cinecism", Desc: "影视评论、解说、吐槽、科普等\t"},
	183: {Name: "影视剪辑", Code: "montage", Desc: "对影视素材进行剪辑再创作的视频"},
	85:  {Name: "短片", Code: "shortfilm", Desc: "追求自我表达且具有特色的短片"},
	184: {Name: "预告·资讯", Code: "trailer_info", Desc: "影视类相关资讯，预告，花絮等视频"},
	177: {Name: "纪录片", Code: "documentary", Desc: ""},
	37:  {Name: "人文·历史", Code: "history", Desc: ""},
	178: {Name: "科学·探索·自然", Code: "science", Desc: ""},
	179: {Name: "军事", Code: "military", Desc: ""},
	180: {Name: "社会·美食·旅行", Code: "travel", Desc: ""},
	23:  {Name: "电影", Code: "movie", Desc: ""},
	147: {Name: "华语电影", Code: "chinese", Desc: ""},
	145: {Name: "欧美电影", Code: "west", Desc: ""},
	146: {Name: "日本电影", Code: "japan", Desc: ""},
	83:  {Name: "其他国家", Code: "movie", Desc: ""},
	11:  {Name: "电视剧", Code: "tv", Desc: ""},
	185: {Name: "国产剧", Code: "mainland", Desc: ""},
	187: {Name: "海外剧", Code: "overseas", Desc: ""},
}

func GetVideoZone(tid int) VideoZone {
	return videoZones[tid]
}
